## lslk 1.29

=== dialects/aix/Makefile ===
PROG=	lslk

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

DEBUG=	-O

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS= ${DEBUG} ${CDEFS} ${INCL}

HDR=    lslk.h dlslk.h machine.h proto.h dproto.h

SRC=    dlock.c dmnt.c dstore.c \
	arg.c main.c misc.c safe.c store.c

OBJ=	dlock.o dmnt.o dstore.o \
	arg.o main.o misc.o safe.o store.o

MAN=	lslk.8

OTHER=	

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}:$P ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lslk should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the system group.  Your install rule actions might look'
	@echo 'something like this:'
	@echo ''
	@echo '  install -f $${BIN} -S -M 2755 -G $${GRP} $${PROG}'
	@echo '  install -f $${DOC} -M 444 $${MAN}'
	@echo ''
	@echo 'You will have to complete the skeletons for the BIN, DOC, and'
	@echo 'GRP strings given at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/man/man8'
	@echo '    GRP= system'
	@echo ''

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@sed '/VN/s/.ds VN \(.*\)/#define	LSLK_VERSION	"\1"/' < version > version.h
	@echo '#define	LSLK_CC		"${CC}"' >> version.h
	@echo '#define	LSLK_CCV	"${CCV}"' >> version.h
	@echo '#define	LSLK_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSLK_CCFLAGS	"${CFLAGS}"' >> version.h
	@echo '#define	LSLK_LDFLAGS	"${CFGL}"' >> version.h
	@echo '#define	LSLK_LOGNAME	"${LOGNAME}"' >> version.h
	@echo '#define	LSLK_HOST	"'`uname -n`'"' >> version.h
	@echo '#define	LSLK_SYSINFO	"'`uname -a`'"' >> version.h
	@echo '#define	LSLK_USER	"${USER}"' >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dlock.o:	${HDR} dlock.c

dmnt.o:		${HDR} dmnt.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} version.h arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

safe.o:		${HDR} safe.c

store.o:	${HDR} store.c

# *** Do not add anything here - It will go away. ***
