=== dialects/linux/proc/Makefile ===
PROG=	lslk

DEBUG=	-O

BIN=
DOC=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS= ${DEBUG} ${CDEFS} ${INCL}

HDR=    lslk.h dlslk.h machine.h proto.h dproto.h

SRC=    dlock.c dmnt.c \
	arg.c main.c misc.c safe.c store.c

OBJ=	dlock.o dmnt.o \
	arg.o main.o misc.o safe.o store.o

MAN=	lslk.8

OTHER=	

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}:$P ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  If you want lslk to be'
	@echo 'able to display all lock information for all processes, you'
	@echo 'must install it setuid-root to give it full access to the /proc'
	@echo 'file system.  If you do not mind the loss of some size and path'
	@echo 'information, do not give lslk setuid-root power.  Your setuid-'
	@echo 'root rule actions might look something like this:'
	@echo ''
	@echo '  install -m 4755 -o root $${PROG} $${BIN}/$${PROG}'
	@echo '  install -m 444 $${MAN} $${DOC}/$${MAN}'
	@echo ''
	@echo 'You will have to complete the skeletons for the BIN and DOC'
	@echo 'strings given at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/man/man8'
	@echo ''

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@sed '/VN/s/.ds VN \(.*\)/#define	LSLK_VERSION	"\1"/' < version > version.h
	@echo '#define	LSLK_CC		"${CC}"' >> version.h
	@echo '#define	LSLK_CCV	"${CCV}"' >> version.h
	@echo '#define	LSLK_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSLK_CCFLAGS	"${CFLAGS}"' >> version.h
	@echo '#define	LSLK_LDFLAGS	"${CFGL}"' >> version.h
	@echo '#define	LSLK_LOGNAME	"${LOGNAME}"' >> version.h
	@echo '#define	LSLK_HOST	"'`uname -n`'"' >> version.h
	@echo '#define	LSLK_SYSINFO	"'`uname -a`'"' >> version.h
	@echo '#define	LSLK_USER	"${USER}"' >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dlock.o:	${HDR} dlock.c

dmnt.o:		${HDR} dmnt.c

arg.o:		${HDR} version.h arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

safe.o:		${HDR} safe.c

store.o:	${HDR} store.c

# *** Do not add anything here - It will go away. ***
