=== debian/changelog ===
lslk (1.29-6) unstable; urgency=low

  * QA upload
  * Source format 3.0 (quilt).
  * Added dependency on ${misc:Depends}.
  * Standards-Version 3.8.4 (no change).
  * Patch savelock-return-codes: return proper return codes from the function
    savelock(). Thanks to Alan Curry for the patch! (closes: #434681)
  * debian/rules:
    - remove generated Makefile and .ckMANIFEST in clean target.
    - actually compile the program in the build-stamp target, instead of
      relying on the install target to call on the compilation.
  * removed file debian/substvars from the source package.

 -- Ralf Treinen <treinen@debian.org>  Sun, 27 Jun 2010 19:41:24 +0200

lslk (1.29-5) unstable; urgency=low

  [ Sandro Tosi ]
  * QA upload.
  * debian/rules
    - added removal of symlinks left behind (Closes: #424549)
    - removed export of DH_COMPAT
    - does not ignore make clean error anymore
    - updated destination dirs in install target
    - removed unneeded and commented dh_* calls
    - replace dh_installmanpages with dh_installman
  * debian/compat
    - added with value 5
  * debian/copyright
    - renamed previous copyright notice in upstream author
    - added copyright notice
    - added license notice
    - license text indented with 4 spaces
  * debian/control
    - added versioned build-dep for debhelper
  * debian/docs
    - removed and integrated in debian/rules

  [ Bernd Zeimetz ]
  * debian/control:
    - Removing unnecessary 'a' from the short description.

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 06 Apr 2008 16:32:23 +0200

lslk (1.29-4) unstable; urgency=low

  * Orphaning package.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 16 Feb 2008 23:11:02 +0100

lslk (1.29-3) unstable; urgency=low

  * No longer create /usr/doc link. (closes: #359533)
  * Fixed copyright file. (closes: #302969)
  * Updated standards-version to 3.7.2.0, no changes required.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 15 May 2006 22:03:42 -0500

lslk (1.29-2) unstable; urgency=low

  * Added Build-Dependencies. (closes: #111069).

 -- Norbert Tretkowski <nobse@debian.org>  Sun,  4 Nov 2001 12:19:05 +0100

lslk (1.29-1) unstable; urgency=low
 
  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Sat,  1 Sep 2001 16:19:31 +0200

lslk (1.28-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 21 Jan 2001 03:25:41 +0100

lslk (1.26-1) unstable; urgency=low

  * Initial Release.

 -- Norbert Tretkowski <nobse@nobse.de>  Tue, 26 Sep 2000 18:34:14 +0200
