=== debian/control ===
Source: lslk
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5.0.0)

Package: lslk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Description: Lock file lister
 Lslk attempts to list all of the locks on the executing
 system's local files (i.e., on the active inodes).
